import 'package:flutter/material.dart';
import '../../theme/styles.dart';

class CustomTextDefaultItalicField extends StatelessWidget {
  final String? label;
  final Color? color;
  final TextAlign? align;
  final double? textSize;
  final int? maxLine;
  final FontWeight? fontWeight;
  final String? fontName;

  const CustomTextDefaultItalicField(
      {super.key,required this.label,
      this.color,
      this.align,
      this.maxLine,
      this.textSize,
      this.fontWeight,
      this.fontName});

  @override
  Widget build(BuildContext context) {
    return Text(label ?? "",
        textAlign: align,
        maxLines: maxLine,
        overflow: TextOverflow.ellipsis,
        style: Styles.customTextDefaultItalictStyle(
            color: color,
            fontName: fontName,
            fontWeight: fontWeight,
            textSize: textSize));
  }
}
